Name:           perl-Parse-CPAN-Distributions
Version:        0.14
Release:        3%{?dist}
Summary:        Provides an index for current CPAN distributions
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-CPAN-Distributions/
Source0:        http://www.cpan.org/authors/id/B/BA/BARBIE/Parse-CPAN-Distributions-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  glibc-common
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(vars)
BuildRequires:  perl(version)
# Tests:
# Test::CPAN::Meta not used
# Test::CPAN::Meta::JSON not used
BuildRequires:  perl(Test::More) >= 0.70
# Test::Pod 1.0 not used
# Test::Pod::Coverage 0.08 not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This Perl module provides the ability to index the distributions that are
currently listed on CPAN. This is done by parsing the index file find-ls.

%prep
%setup -q -n Parse-CPAN-Distributions-%{version}
# Normalize encoding
iconv -f ISO-8859-1 -t UTF-8 <LICENSE >LICENSE.utf8
touch -r LICENSE LICENSE.utf8
mv LICENSE.utf8 LICENSE

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.14-2
- Perl 5.22 rebuild

* Mon Nov 10 2014 Petr Pisar <ppisar@redhat.com> 0.14-1
- Specfile autogenerated by cpanspec 1.78.
